package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.flow.GENEAction;
import com.ynet.gene.log.GENELog;
import com.ynet.life.base.LifeDesEncrypt;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/LifeDesDecryptAction.class */
public class LifeDesDecryptAction extends GENEAction {
    private String keyStr;
    private String encryptDataName;
    private String oriDataName;

    public String execute(Context context) throws GENEException {
        String encryptedPassword = (String) context.getDataValue(this.encryptDataName);
        if (encryptedPassword == null) {
            GENELog.log(GENEConstance.GENE_ACTION, GENELog.ERROR, 0, "DesDecryptAction :Fail to descrypt the password,the input password was NULL");
            throw new GENEException("DesDecryptAction :Fail to descrypt the password,the input password was NULL");
        }
        if (this.keyStr != null) {
            try {
                byte[] password = LifeDesEncrypt.decrypt(this.keyStr, encryptedPassword.getBytes());
                context.setDataValue(this.oriDataName, new String(password));
                return "0";
            } catch (Exception e) {
                GENELog.log(GENEConstance.GENE_ACTION, GENELog.ERROR, 0, "DesDecryptAction :Fail to descrypt the password", e);
                throw new GENEException("DesDecryptAction :Fail to descrypt the password", e);
            }
        }
        GENELog.log(GENEConstance.GENE_ACTION, GENELog.ERROR, 0, "DesDecryptAction :Fail to descrypt the password,the input key was NULL");
        throw new GENEException("DesDecryptAction :Fail to descrypt the password,the input key was NULL");
    }

    public void setOriDataName(String ori) {
        this.oriDataName = ori;
    }

    public void setKeyStr(String key) {
        this.keyStr = key;
    }

    public void setEncryptDataName(String name) {
        this.encryptDataName = name;
    }
}
